<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>morphorobotx: parms.hpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">morphorobotx
   </div>
   <div id="projectbrief">morphorobotxsharedlibrary</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1.2 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Macros</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">parms.hpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;string&gt;</code><br/>
<code>#include &lt;sstream&gt;</code><br/>
<code>#include &lt;iostream&gt;</code><br/>
<code>#include &lt;vector&gt;</code><br/>
<code>#include &lt;set&gt;</code><br/>
<code>#include &lt;list&gt;</code><br/>
<code>#include &lt;QString&gt;</code><br/>
<code>#include &lt;iterator&gt;</code><br/>
<code>#include &lt;QTextStream&gt;</code><br/>
<code>#include &lt;QStringList&gt;</code><br/>
<code>#include &lt;QHash&gt;</code><br/>
</div><div class="textblock"><div class="dynheader">
Include dependency graph for parms.hpp:</div>
<div class="dyncontent">
<div class="center"><img src="parms_8hpp__incl.png" border="0" usemap="#parms_8hpp" alt=""/></div>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="parms_8hpp__dep__incl.png" border="0" usemap="#parms_8hppdep" alt=""/></div>
<map name="parms_8hppdep" id="parms_8hppdep">
<area shape="rect" id="node3" href="FileManager_8hpp.html" title="FileManager.hpp" alt="" coords="164,83,281,112"/><area shape="rect" id="node17" href="Factory_8hpp.html" title="Factory.hpp" alt="" coords="305,83,396,112"/><area shape="rect" id="node22" href="ForceMeasurement_8cpp.html" title="ForceMeasurement.cpp" alt="" coords="420,83,577,112"/><area shape="rect" id="node24" href="parms_8cpp.html" title="parms.cpp" alt="" coords="601,83,684,112"/><area shape="rect" id="node5" href="Experiment_8hpp.html" title="Experiment.hpp" alt="" coords="232,160,344,189"/><area shape="rect" id="node15" href="FileManager_8cpp.html" title="FileManager.cpp" alt="" coords="91,160,208,189"/><area shape="rect" id="node7" href="Experiment_8cpp.html" title="Experiment.cpp" alt="" coords="5,237,117,267"/><area shape="rect" id="node9" href="HardwareManager_8cpp.html" title="HardwareManager.cpp" alt="" coords="141,237,293,267"/><area shape="rect" id="node11" href="Robot_8cpp.html" title="Robot.cpp" alt="" coords="317,237,400,267"/><area shape="rect" id="node13" href="StateManager_8cpp.html" title="StateManager.cpp" alt="" coords="424,237,552,267"/><area shape="rect" id="node20" href="Factory_8cpp.html" title="Factory.cpp" alt="" coords="368,160,459,189"/></map>
</div>
</div>
<p><a href="parms_8hpp_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classParms.html">Parms</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">A utility class to parse L-Studio like parameter files.  <a href="classParms.html#details">More...</a><br/></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structParms_1_1value__t.html">Parms::value_t</a></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structParms_1_1section__t.html">Parms::section_t</a></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a3a68d46e482573fc48b4ee164310c319"><td class="memItemLeft" align="right" valign="top">QTextStream &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="parms_8hpp.html#a3a68d46e482573fc48b4ee164310c319">operator&gt;&gt;</a> (QTextStream &amp;ss, bool b)</td></tr>
<tr class="memitem:a4a21a193b34d5509ebb552f74ca489b1"><td class="memItemLeft" align="right" valign="top">QTextStream &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="parms_8hpp.html#a4a21a193b34d5509ebb552f74ca489b1">operator&lt;&lt;</a> (QTextStream &amp;ss, bool b)</td></tr>
</table>
<h2>Function Documentation</h2>
<a class="anchor" id="a4a21a193b34d5509ebb552f74ca489b1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QTextStream&amp; operator&lt;&lt; </td>
          <td>(</td>
          <td class="paramtype">QTextStream &amp;&#160;</td>
          <td class="paramname"><em>ss</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>b</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a3a68d46e482573fc48b4ee164310c319"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QTextStream&amp; operator&gt;&gt; </td>
          <td>(</td>
          <td class="paramtype">QTextStream &amp;&#160;</td>
          <td class="paramname"><em>ss</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>b</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Feb 26 2013 17:54:10 for morphorobotx by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1.2
</small></address>
</body>
</html>
